Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxy.F	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxy.f90	(revision 5105)
@@ -2,69 +2,68 @@
 ! $Id$
 
-      SUBROUTINE fxy (rlatu,yprimu,rlatv,yprimv,rlatu1,yprimu1,
-     ,                    rlatu2,yprimu2,
-     , rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025)
+SUBROUTINE fxy (rlatu,yprimu,rlatv,yprimv,rlatu1,yprimu1, &
+        rlatu2,yprimu2, &
+        rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025)
 
-      USE comconst_mod, ONLY: pi
-      USE serre_mod, ONLY: pxo,pyo,alphax,alphay,transx,transy
+  USE comconst_mod, ONLY: pi
+  USE serre_mod, ONLY: pxo,pyo,alphax,alphay,transx,transy
 
-      IMPLICIT NONE
+  IMPLICIT NONE
 
-c     Auteur  :  P. Le Van
-c
-c     Calcul  des longitudes et des latitudes  pour une fonction f(x,y)
-c           a tangente sinusoidale et eventuellement avec zoom  .
-c
-c
-      include "dimensions.h"
-      include "paramet.h"
+  ! Auteur  :  P. Le Van
+  !
+  ! Calcul  des longitudes et des latitudes  pour une fonction f(x,y)
+  !       a tangente sinusoidale et eventuellement avec zoom  .
+  !
+  !
+  include "dimensions.h"
+  include "paramet.h"
 
-       INTEGER i,j
+   INTEGER :: i,j
 
-       REAL rlatu(jjp1), yprimu(jjp1),rlatv(jjm), yprimv(jjm),
-     , rlatu1(jjm), yprimu1(jjm), rlatu2(jjm), yprimu2(jjm)
-       REAL rlonu(iip1),xprimu(iip1),rlonv(iip1),xprimv(iip1),
-     , rlonm025(iip1),xprimm025(iip1), rlonp025(iip1),xprimp025(iip1)
+   REAL :: rlatu(jjp1), yprimu(jjp1),rlatv(jjm), yprimv(jjm), &
+         rlatu1(jjm), yprimu1(jjm), rlatu2(jjm), yprimu2(jjm)
+   REAL :: rlonu(iip1),xprimu(iip1),rlonv(iip1),xprimv(iip1), &
+         rlonm025(iip1),xprimm025(iip1), rlonp025(iip1),xprimp025(iip1)
 
-      INCLUDE "fxy_new.h"
+  INCLUDE "fxy_new.h"
 
 
-c    ......  calcul  des  latitudes  et de y'   .....
-c
-       DO j = 1, jjm + 1 
-          rlatu(j) = fy    ( REAL( j )        )
-         yprimu(j) = fyprim( REAL( j )        )
-       ENDDO
+  !    ......  calcul  des  latitudes  et de y'   .....
+  !
+   DO j = 1, jjm + 1
+      rlatu(j) = fy    ( REAL( j )        )
+     yprimu(j) = fyprim( REAL( j )        )
+   ENDDO
 
 
-       DO j = 1, jjm
+   DO j = 1, jjm
 
-         rlatv(j)  = fy    ( REAL( j ) + 0.5  )
-         rlatu1(j) = fy    ( REAL( j ) + 0.25 ) 
-         rlatu2(j) = fy    ( REAL( j ) + 0.75 ) 
+     rlatv(j)  = fy    ( REAL( j ) + 0.5  )
+     rlatu1(j) = fy    ( REAL( j ) + 0.25 )
+     rlatu2(j) = fy    ( REAL( j ) + 0.75 )
 
-        yprimv(j)  = fyprim( REAL( j ) + 0.5  ) 
-        yprimu1(j) = fyprim( REAL( j ) + 0.25 )
-        yprimu2(j) = fyprim( REAL( j ) + 0.75 )
+    yprimv(j)  = fyprim( REAL( j ) + 0.5  )
+    yprimu1(j) = fyprim( REAL( j ) + 0.25 )
+    yprimu2(j) = fyprim( REAL( j ) + 0.75 )
 
-       ENDDO
+   ENDDO
 
-c
-c     .....  calcul   des  longitudes et de  x'   .....
-c
-       DO i = 1, iim + 1
-           rlonv(i)     = fx    (   REAL( i )          )
-           rlonu(i)     = fx    (   REAL( i ) + 0.5    )
-        rlonm025(i)     = fx    (   REAL( i ) - 0.25  )
-        rlonp025(i)     = fx    (   REAL( i ) + 0.25  )
+  !
+  ! .....  calcul   des  longitudes et de  x'   .....
+  !
+   DO i = 1, iim + 1
+       rlonv(i)     = fx    (   REAL( i )          )
+       rlonu(i)     = fx    (   REAL( i ) + 0.5    )
+    rlonm025(i)     = fx    (   REAL( i ) - 0.25  )
+    rlonp025(i)     = fx    (   REAL( i ) + 0.25  )
 
-         xprimv  (i)    = fxprim (  REAL( i )          )
-         xprimu  (i)    = fxprim (  REAL( i ) + 0.5    )
-        xprimm025(i)    = fxprim (  REAL( i ) - 0.25   )
-        xprimp025(i)    = fxprim (  REAL( i ) + 0.25   )
-       ENDDO
+     xprimv  (i)    = fxprim (  REAL( i )          )
+     xprimu  (i)    = fxprim (  REAL( i ) + 0.5    )
+    xprimm025(i)    = fxprim (  REAL( i ) - 0.25   )
+    xprimp025(i)    = fxprim (  REAL( i ) + 0.25   )
+   ENDDO
 
-c
-       RETURN
-       END
+  !
+END SUBROUTINE fxy
 
